<?xml version="1.0" encoding="UTF-8"?>
<!--
/**
 * Copyright © 2016 Filoblu S.r.l. All rights reserved.
 */
 -->
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:Event/etc/events.xsd">
    <event name="sales_order_invoice_register">
        <observer name="InvoiceRegister" instance="FiloBlu\Esb\Observer\SalesOrderInvoiceRegister" />
    </event>
    <event name="sales_order_save_after">
        <observer name="EsbUpdateStatus" instance="FiloBlu\Esb\Observer\SalesOrderSaveAfter" />
        <observer name="FiloBluEsbOrderSaveObserver" instance="FiloBlu\Esb\Observer\OrderSaveObserver" />
    </event>
    <event name="sales_order_shipment_save_after">
        <observer name="ShipmentSave" instance="FiloBlu\Esb\Observer\SalesOrderShipmentSaveAfter" />
    </event>
    <event name="customer_register_success">
        <observer name="FiloBlu_Esb::customer_register_success" instance="FiloBlu\Esb\Observer\CustomerRegisterSuccess" />
    </event>
    <event name="customer_save_after_data_object">
        <observer name="EsbCustomerSaveAfterProducer" instance="FiloBlu\Esb\Observer\CustomerSaveAfter" />
    </event>
    <event name="customer_address_save_after">
        <observer name="EsbCustomerAddressSaveAfterProducer" instance="FiloBlu\Esb\Observer\CustomerAddressSaveAfter" />
    </event>
    <event name="catalog_product_save_after">
        <observer name="FiloBluEsbProductSaveObserver" instance="FiloBlu\Esb\Observer\ProductSaveObserver" />
    </event>
    <event name="sales_quote_save_after">
        <observer name="FiloBluEsbQuoteSaveObserver" instance="FiloBlu\Esb\Observer\QuoteSaveObserver" />
    </event>
    <event name="customer_save_after">
        <observer name="FiloBluEsbCustomerSaveObserver" instance="FiloBlu\Esb\Observer\CustomerSaveObserver" />
    </event>
    <event name="sales_order_invoice_save_after">
        <observer name="FiloBluEsbInvoiceSaveObserver" instance="FiloBlu\Esb\Observer\InvoiceSaveAfterObserver" />
    </event>
    <event name="newsletter_subscriber_save_after">
        <observer name="FiloBluEsbSubscriberSaveObserver" instance="FiloBlu\Esb\Observer\SubscriberSaveAfterObserver" />
    </event>
</config>
